Skip to main content
GET
Get Spend Trend

Authorizations

Authorization
string
header
required

Enter your MeshAPI key (rsk_...) — sent as Authorization: Bearer <key>.

Query Parameters

org_id
string
required

Organisation UUID

team_id
string | null

Team UUID (optional filter)

granularity
enum<string>
default:monthly

Bucketing window: 'hourly' (last 24h, hourly), 'weekly' (last 12 weeks, weekly), 'monthly' (last 30 days, daily).

Available options:
hourly,
weekly,
monthly
force_refresh
boolean
default:false

Skip the cache and recompute from the database.

Response

Successful Response

as_of
string
required
granularity
enum<string>
required
Available options:
hourly,
weekly,
monthly
period_start
string
required
period_end
string
required
summary
SpendTrendSummary · object
required
buckets
SpendBucketPoint · object[]
required
moving_average
MovingAveragePoint · object[]
required